<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : referat.xsl
    Created on : 6. březen 2011, 15:04
    Author     : jandora1
-->

<!--
HTML
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD HTML 4.01//EN"/>
-->

<!--
XHTML
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions"
exclude-result-prefixes="fn xs" xmlns="http://www.w3.org/1999/xhtml">

<xsl:output method="xhtml" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
-->


<!--
XML
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD HTML 4.01//EN"/>

<xsl:template match="/pobyty">
<html>
   <head>
        <title>Referat AD7B36XML</title>
    </head>
          
    <body>

<!-- Nazev referatu -->
        <h1>Ozdravné pobyty dětí</h1>
        <xsl:apply-templates/>
        
    </body>

</html>

</xsl:template>

<xsl:template match="turnus">
    <h2>Turnus <xsl:value-of select="@id"/></h2>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="lokalita">
    <para>
        Lokalita:
    </para>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="termin">
    <para>
        Termín:
    </para>    
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="skupina">
    <h3>Skupina <xsl:value-of select="@id"/></h3>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="cisloSkupiny">
    <para>
        Číslo skupiny:
    </para>
    <xsl:apply-templates/>
    <br/>
</xsl:template>

<xsl:template match="vedouci">
    <para>
        Vedoucí skupiny:
    </para>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="deti">
    <table>
        <thead>
            <h4>Děti</h4>
        </thead>

        <tbody>
            <tr>
                <th>ID dítěte</th>
                <th>Příjmení</th>
		<th>Jméno</th>
		<th>Pohlaví</th>
		<th>Rok narození</th>
            </tr>
            
            <xsl:for-each select="dite">
            <tr>
                <td><xsl:value-of select="@id"/></td>
                <td><xsl:value-of select="prijmeniD"/></td>
                <td><xsl:value-of select="jmenoD"/></td>
                <td><xsl:value-of select="pohlaviD"/></td>
                <td><xsl:value-of select="rokNarozeni"/></td>
            </tr>
            </xsl:for-each>

        </tbody>
    </table>

    
</xsl:template>


</xsl:stylesheet>


