<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : referatXHTML.xsl
    Created on : 20. duben 2011
    Author     : jandora1
-->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions"
exclude-result-prefixes="fn xs" xmlns="http://www.w3.org/1999/xhtml">

<xsl:output method="xhtml" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:template match="/pobyty">
<html>
   <head>
        <title>Referat AD7B36 - verze XHTML</title>
    </head>
          
    <body>

    <h3>Transformace XML do XHTML.</h3>
        <para>
        <strong>Úloha 5. - část B:</strong> transformace původního XML souboru "referat.xml" do
        XHTML.<br/>
        Z tématu "Ozdravné pobyty" je v této části uveden
        </para>
        <h1>Přehled skupin a dětí do nich zařazených.</h1>
        <xsl:apply-templates/>
        
    </body>

</html>
</xsl:template>

<xsl:template match="lokalita">
</xsl:template>

<xsl:template match="termin">
</xsl:template>

<xsl:template match="skupina">
    <hr/>
    <hr/>
    <h3>Skupina <xsl:value-of select="@id"/></h3>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="cisloSkupiny">
    <para>
        Číslo skupiny:
    </para>
    <xsl:apply-templates/>
    <br/>
</xsl:template>

<xsl:template match="vedouci">
    <para>
        Vedoucí skupiny:
    </para>
    <xsl:apply-templates/>
    <hr/>
</xsl:template>

<xsl:template match="deti">
    <table>
        <thead>
            <h4>Děti</h4>
        </thead>

        <tbody>
            <tr>
                <th>ID dítěte</th>
                <th>Příjmení</th>
		<th>Jméno</th>
		<th>Pohlaví</th>
		<th>Rok narození</th>
            </tr>

            <xsl:for-each select="dite">
            <tr>
                <td><xsl:value-of select="@id"/></td>
                <td><xsl:value-of select="prijmeniD"/></td>
                <td><xsl:value-of select="jmenoD"/></td>
                <td><xsl:value-of select="pohlaviD"/></td>
                <td><xsl:value-of select="rokNarozeni"/></td>
            </tr>
            </xsl:for-each>

        </tbody>
    </table>

</xsl:template>

</xsl:stylesheet>


